using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace PersonSport.Models {
    public class PersonSport {
        [Key, Column(Order = 1)]
        public int PersonId { get; set; }

        [Key, Column(Order = 2)]
        public int SportId { get; set; }

        [DataType(DataType.Date)] 
        public DateTime StartDatum { get; set; }

        public virtual Person Person { get; set; }

        public virtual Sport Sport { get; set; }
    }
}
